- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# AdjacentVertexEnumerator Class Reference

This reference page is linked to from the following overview topics: Sculpting and Brushes.

Search for all occurrences

## Detailed Description

AdjacentVertexEnumerator is a base class for operations that must be applied to all vertices adjacent to a specified one.

To use this class, derive a new enumerator from it. Override the ProcessAdjacentVertex() method to perform the operation you need done to the mesh vertex.

To use your class, call Mesh::EnumerateAdjacentVertices, specify a starting face and vertex, and pass in your enumerator class. Your operation will be applied to all adjacent vertices.

Definition at line 240 of file mesh.h.

`#include <mesh.h>`

List of all members.

## Public Member Functions
virtual void | ProcessAdjacentVertex (unsigned int iVertexIndex, unsigned int iFaceIndex)
## Public Attributes
bool | m_bEdge

## Member Function Documentation

virtual void ProcessAdjacentVertex | ( | unsigned int | iVertexIndex,
|  | unsigned int | iFaceIndex
| ) |  | `[virtual]`

Search for all occurrences

Parameters:

  [in] | iVertexIndex | index of the vertex being processed
  [in] | iFaceIndex | index of a face associated with the vertex being processed (chosen at random)

## Member Data Documentation

bool m_bEdge

Search for all occurrences

Definition at line 249 of file mesh.h.

The documentation for this class was generated from the following file:

- Mudbox/mesh.h

AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator
AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator AdjacentVertexEnumerator